name: aeson
version: 1.2.4.0
id: aeson-1.2.4.0-5kXTFQdfXzv257hI4PRL2t
key: aeson-1.2.4.0-5kXTFQdfXzv257hI4PRL2t
license: BSD-3-Clause
copyright: (c) 2011-2016 Bryan O'Sullivan
           (c) 2011 MailRank, Inc.
maintainer: Adam Bergmark <adam@bergmark.nl>
author: Bryan O'Sullivan <bos@serpentine.com>
stability: experimental
homepage: https://github.com/bos/aeson
synopsis: Fast JSON parsing and encoding
description:
    A JSON parsing and encoding library optimized for ease of use
    and high performance.
    .
    To get started, see the documentation for the @Data.Aeson@ module
    below.
    .
    Parsing performance on a late 2013 MacBook Pro (2.6GHz Core i7),
    running 64-bit GHC 7.10.1, for mostly-English tweets from Twitter's
    JSON search API:
    .
    * 6.4 KB payloads, English: 7570 msg\/sec (47.6 MB\/sec)
    .
    * 14.6 KB payloads, Japanese: 3261 msg\/sec (46.6 MB\/sec)
    .
    Encoding performance on the same machine and data:
    .
    * 6.4 KB payloads, English: 22738 msg\/sec (142.9 MB\/sec)
    .
    * 14.6 KB payloads, Japanese: 15911 msg\/sec (227.4 MB\/sec)
    .
    (A note on naming: in Greek mythology, Aeson was the father of Jason.)
category: Text, Web, JSON
abi: c09bc7731328e5ebb5c89e21904cbcaa
exposed: True
exposed-modules:
    Data.Aeson Data.Aeson.Encode Data.Aeson.Encoding
    Data.Aeson.Encoding.Internal Data.Aeson.Internal
    Data.Aeson.Internal.Time Data.Aeson.Parser
    Data.Aeson.Parser.Internal Data.Aeson.TH Data.Aeson.Text
    Data.Aeson.Types
hidden-modules: Data.Aeson.Compat Data.Aeson.Encoding.Builder
                Data.Aeson.Internal.Functions Data.Aeson.Parser.Unescape
                Data.Aeson.Parser.Time Data.Aeson.Types.FromJSON
                Data.Aeson.Types.Generic Data.Aeson.Types.ToJSON
                Data.Aeson.Types.Class Data.Aeson.Types.Internal
                Data.Attoparsec.Time Data.Attoparsec.Time.Internal
                Data.Aeson.Parser.UnescapePure
import-dirs: /usr/lib64/aeson-1.2.4.0/ghc-8.4.3
library-dirs: /usr/lib64/aeson-1.2.4.0/ghc-8.4.3
dynamic-library-dirs: /usr/lib64/x86_64-linux-ghc-8.4.3
data-dir: /usr/share/aeson-1.2.4.0/ghc-8.4.3
hs-libraries: HSaeson-1.2.4.0-5kXTFQdfXzv257hI4PRL2t
depends:
    attoparsec-0.13.2.2-Ky1E2aTzQOOCWNrkxKEZIg base-4.11.1.0
    base-compat-0.10.4-9FtFg9E90S5CFRyvxjUaaZ containers-0.5.11.0
    deepseq-1.4.3.0 dlist-0.8.0.4-EWVGGTJvTTW8quLYK9yz9r
    ghc-prim-0.5.2.0 hashable-1.2.7.0-Q2TKVDwk4GBEHmizb4teZ
    scientific-0.3.5.3-A45JhwEoDjkIrcNEizbXHE
    tagged-0.8.5-HB7yd17nOSNBrX4gBvYuXp template-haskell-2.13.0.0
    text-1.2.3.0 th-abstraction-0.2.6.0-8bhBYrrqrAJFCd9hjMrFb4
    time-1.8.0.2 time-locale-compat-0.1.1.4-BGKIX6yWQCyIRnAQg4xT4Q
    unordered-containers-0.2.9.0-HQtYJEH7265DslRAJ09vVD
    uuid-types-1.0.3-KsXpfd8UXnH5k8ZrcIFxVW
    vector-0.12.0.1-GGZqQZyzchy8YFPCF67wxL bytestring-0.10.8.2
abi-depends: attoparsec-0.13.2.2-Ky1E2aTzQOOCWNrkxKEZIg=6c4a7d002332eb1fbb207cb42bc3b318
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base-compat-0.10.4-9FtFg9E90S5CFRyvxjUaaZ=fc280138c1e1b70cf939493d29d4c902
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             deepseq-1.4.3.0=00d8faa7363cb0be9acd709ef6549e22
             dlist-0.8.0.4-EWVGGTJvTTW8quLYK9yz9r=946e1875094693f03ff3c9e6e5779291
             ghc-prim-0.5.2.0=39dc2488936298f474639901f9105eec
             hashable-1.2.7.0-Q2TKVDwk4GBEHmizb4teZ=140227d619c1d2371b7384588361962a
             scientific-0.3.5.3-A45JhwEoDjkIrcNEizbXHE=13e38d58a27e5142e65a32f113c673e6
             tagged-0.8.5-HB7yd17nOSNBrX4gBvYuXp=2b58310848948023f58f554cdbad9a77
             template-haskell-2.13.0.0=1ce4a454c5861830bbdedc46baa462f3
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             th-abstraction-0.2.6.0-8bhBYrrqrAJFCd9hjMrFb4=3659d79c4ab20896b7107610bf755dc1
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             time-locale-compat-0.1.1.4-BGKIX6yWQCyIRnAQg4xT4Q=79b6e4f9304db5f74f4cb6f499d869ed
             unordered-containers-0.2.9.0-HQtYJEH7265DslRAJ09vVD=2764d54cdc0a1a6a725162bf55f525eb
             uuid-types-1.0.3-KsXpfd8UXnH5k8ZrcIFxVW=d42651b53ac8f23bfdd9e3da483eeb6f
             vector-0.12.0.1-GGZqQZyzchy8YFPCF67wxL=db0184835b5ba2741709d2af3a1b7e24
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
haddock-interfaces: /usr/share/doc/aeson-1.2.4.0/html/aeson.haddock
haddock-html: /usr/share/doc/aeson-1.2.4.0/html
